Fix NUMA support on Windows (#15049)
ClosedPublic

Authored by KaneTW on Apr 18 2018, 10:06 AM.

Details

Summary
  • osNumaNodes now returns the right number of nodes
  • thread affinity is now correctly set

TODO: no noticeable performance improvement.
does windows already distribute threads in a NUMA-aware fashion?

Test Plan
  • validate
  • local tests on a NUMA machine

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
KaneTW created this revision.Apr 18 2018, 10:06 AM
KaneTW requested review of this revision.Apr 27 2018, 10:49 AM
This revision is now accepted and ready to land.Apr 30 2018, 2:54 AM
bgamari accepted this revision.May 2 2018, 4:37 PM

Looks good to me. Thanks @KaneTW!

This revision was automatically updated to reflect the committed changes.